Herald
OpenapiBilling

Delete a Credit Bucket (DELETE).

204 on success; 409 `bucket_in_use` with `{ code, activeSubscriptions, holdersWithBalance, ruleReferences, historyReferences }` when in-flight subscriptions, residual balances, rule references or history exist.

DELETE
/api/bill/credit-buckets/{bucketId}

204 on success; 409 bucket_in_use with { code, activeSubscriptions, holdersWithBalance, ruleReferences, historyReferences } when in-flight subscriptions, residual balances, rule references or history exist.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

bucketId*string

Credit Bucket ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/api/bill/credit-buckets/497f6eca-6276-4993-bfeb-53cbbbba6f08"
Empty
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "activeSubscriptions": 0,  "code": "string",  "historyReferences": 0,  "holdersWithBalance": 0,  "ruleReferences": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}